Class | DL::CompositeHandler
In: | dl/lib/dl/import.rb
Parent: | Object

### Methods

[] handlers new sym

### Public Class methods

new(handlers)

[Source]

    # File dl/lib/dl/import.rb, line 8
        def initialize(handlers)
          @handlers = handlers
        end

### Public Instance methods

[](symbol)

[Source]

    # File dl/lib/dl/import.rb, line 29
        def [](symbol)
          sym(symbol)
        end

handlers()

[Source]

    # File dl/lib/dl/import.rb, line 12
        def handlers()
          @handlers
        end

sym(symbol)

[Source]

    # File dl/lib/dl/import.rb, line 16
        def sym(symbol)
          @handlers.each{|handle|
            if( handle )
              begin
                addr = handle.sym(symbol)
                return addr
              rescue DLError
              end
            end
          }
          return nil
        end

[Validate]